epp_HostInfoRsp (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epprtk.host.epp_HostInfoRsp class

### org.openrtk.idl.epprtk.host

# Class epp_HostInfoRsp

- `java.lang.Object`
- - `org.openrtk.idl.epprtk.host.epp_HostInfoRsp`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_HostInfoRsp`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements used to represent the host info response from the EPP server. Note usually instantiated by the RTK user, but rather by EPPHostInfo and retrieved using that class' getResponseData() method. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epprtk/host/epp_HostInfoRsp.java,v 1.1 2004/12/07 15:27:50 ewang2004 Exp $
$Revision: 1.1 $
$Date: 2004/12/07 15:27:50 $

See Also:
  `EPPHostInfo`, `epp_HostInfoReq`

  ## Field Summary
  `epp_HostAddress[]` | `m_addresses` The array of IP addresses associated with the host object.
  `String` | `m_client_id` The identifier of the sponsoring client.
  `String` | `m_created_by` The identifier of the client that created the host object.
  `String` | `m_created_date` The creation date of the host object.
  `String` | `m_name` The name of the host object in the registry.
  `String` | `m_roid` The repository object identifier associated with the host object.
  `epp_Response` | `m_rsp` The common and generic response element.
  `epp_HostStatus[]` | `m_status` The array of status associated with the host object.
  `String` | `m_transfer_date` The most recent transfer date of the host object.
  `String` | `m_updated_by` The identifier of the client that last updated the host object.
  `String` | `m_updated_date` The most recent modification date of the host object.

  ## Constructor Summary
  `epp_HostInfoRsp()` Empty constructor
  `epp_HostInfoRsp(epp_Response _m_rsp, String _m_name, String _m_roid, epp_HostStatus[] _m_status, epp_HostAddress[] _m_addresses, String _m_client_id, String _m_created_by, String _m_created_date, String _m_updated_by, String _m_updated_date, String _m_transfer_date)` The constructor with initializing variables.

  ## Method Summary
  `epp_HostAddress[]` | `getAddresses()` Accessor method for the array of IP addresses associated with the host object
  `String` | `getClientId()` Accessor method for the identifier of the sponsoring client
  `String` | `getCreatedBy()` Accessor method for the identifier of the client that created the host object
  `String` | `getCreatedDate()` Accessor method for the creation date of the host object
  `String` | `getName()` Accessor method for the name of the host object in the registry
  `String` | `getRoid()` Accessor method for the repository object identifier associated with the host object
  `epp_Response` | `getRsp()` Accessor method for the common and generic response element.
  `epp_HostStatus[]` | `getStatus()` Accessor method for the array of status associated with the host object
  `String` | `getTransferDate()` Accessor method for the most recent transfer date of the host object
  `String` | `getUpdatedBy()` Accessor method for the identifier of the client that last updated the host object
  `String` | `getUpdatedDate()` Accessor method for the most recent modification date of the host object
  `void` | `setAddresses(epp_HostAddress[] value)` Accessor method for the array of IP addresses associated with the host object
  `void` | `setClientId(String value)` Accessor method for the identifier of the sponsoring client
  `void` | `setCreatedBy(String value)` Accessor method for the identifier of the client that created the host object
  `void` | `setCreatedDate(String value)` Accessor method for the creation date of the host object
  `void` | `setName(String value)` Accessor method for the name of the host object in the registry
  `void` | `setRoid(String value)` Accessor method for the repository object identifier associated with the host object
  `void` | `setRsp(epp_Response value)` Accessor method for the common and generic response element.
  `void` | `setStatus(epp_HostStatus[] value)` Accessor method for the array of status associated with the host object
  `void` | `setTransferDate(String value)` Accessor method for the most recent transfer date of the host object
  `void` | `setUpdatedBy(String value)` Accessor method for the identifier of the client that last updated the host object
  `void` | `setUpdatedDate(String value)` Accessor method for the most recent modification date of the host object
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_addresses

    public epp_HostAddress[] m_addresses

> The array of IP addresses associated with the host object.
> See Also:
>   `setAddresses(epp_HostAddress[])`, `getAddresses()`

### m_client_id

    public String m_client_id

> The identifier of the sponsoring client.
> See Also:
>   `setClientId(String)`, `getClientId()`

### m_created_by

    public String m_created_by

> The identifier of the client that created the host object.
> See Also:
>   `setCreatedBy(String)`, `getCreatedBy()`

### m_created_date

    public String m_created_date

> The creation date of the host object.
> See Also:
>   `setCreatedDate(String)`, `getCreatedDate()`

### m_name

    public String m_name

> The name of the host object in the registry.
> See Also:
>   `setName(String)`, `getName()`

### m_roid

    public String m_roid

> The repository object identifier associated with the host object.
> See Also:
>   `setRoid(String)`, `getRoid()`

### m_rsp

    public epp_Response m_rsp

> The common and generic response element.
> See Also:
>   `getRsp()`

### m_status

    public epp_HostStatus[] m_status

> The array of status associated with the host object.
> See Also:
>   `setStatus(epp_HostStatus[])`, `getStatus()`

### m_transfer_date

    public String m_transfer_date

> The most recent transfer date of the host object.
> See Also:
>   `setTransferDate(String)`, `getTransferDate()`

### m_updated_by

    public String m_updated_by

> The identifier of the client that last updated the host object.
> See Also:
>   `setUpdatedBy(String)`, `getUpdatedBy()`

### m_updated_date

    public String m_updated_date

> The most recent modification date of the host object.
> See Also:
>   `setUpdatedDate(String)`, `getUpdatedDate()`

## Constructor Details

### epp_HostInfoRsp

    public epp_HostInfoRsp()

> Empty constructor

### epp_HostInfoRsp

    public epp_HostInfoRsp(epp_Response _m_rsp,
                           String _m_name,
                           String _m_roid,
                           epp_HostStatus[] _m_status,
                           epp_HostAddress[] _m_addresses,
                           String _m_client_id,
                           String _m_created_by,
                           String _m_created_date,
                           String _m_updated_by,
                           String _m_updated_date,
                           String _m_transfer_date)

> The constructor with initializing variables.
> Parameters:
>   `_m_rsp` - The common and generic response element
>   `_m_name` - The name of the host object in the registry
>   `_m_roid` - The repository object identifier associated with the host object
>   `_m_status` - The array of status associated with the host object
>   `_m_addresses` - The array of IP addresses associated with the host object
>   `_m_client_id` - The identifier of the sponsoring client
>   `_m_created_by` - The identifier of the client that created the host object
>   `_m_created_date` - The creation date of the host object
>   `_m_updated_by` - The identifier of the client that last updated the host object
>   `_m_updated_date` - The most recent modification date of the host object
>   `_m_transfer_date` - The most recent transfer date of the host object

## Method Details

### getAddresses

    public epp_HostAddress[] getAddresses()

> Accessor method for the array of IP addresses associated with the host object
> Returns:
>   The array of host IP addresses
> See Also:
>   `m_addresses`

### getClientId

    public String getClientId()

> Accessor method for the identifier of the sponsoring client
> Returns:
>   The host sponsoring client id
> See Also:
>   `m_client_id`

### getCreatedBy

    public String getCreatedBy()

> Accessor method for the identifier of the client that created the host object
> Returns:
>   The identifier of the client that created the host object
> See Also:
>   `m_created_by`

### getCreatedDate

    public String getCreatedDate()

> Accessor method for the creation date of the host object
> Returns:
>   The host creation date
> See Also:
>   `m_created_date`

### getName

    public String getName()

> Accessor method for the name of the host object in the registry
> Returns:
>   The host name
> See Also:
>   `m_name`

### getRoid

    public String getRoid()

> Accessor method for the repository object identifier associated with the host object
> Returns:
>   The host repository object identifier
> See Also:
>   `m_roid`

### getRsp

    public epp_Response getRsp()

> Accessor method for the common and generic response element.
> Returns:
>   The value for the response element
> See Also:
>   `m_rsp`

### getStatus

    public epp_HostStatus[] getStatus()

> Accessor method for the array of status associated with the host object
> Returns:
>   The array of host status
> See Also:
>   `m_status`

### getTransferDate

    public String getTransferDate()

> Accessor method for the most recent transfer date of the host object
> Returns:
>   The most recent host transfer date
> See Also:
>   `m_transfer_date`

### getUpdatedBy

    public String getUpdatedBy()

> Accessor method for the identifier of the client that last updated the host object
> Returns:
>   The identifier of the client that last updated the host object
> See Also:
>   `m_updated_by`

### getUpdatedDate

    public String getUpdatedDate()

> Accessor method for the most recent modification date of the host object
> Returns:
>   The most recent modification date
> See Also:
>   `m_updated_date`

### setAddresses

    public void setAddresses(epp_HostAddress[] value)

> Accessor method for the array of IP addresses associated with the host object
> Parameters:
>   `value` - The array of host IP addresses
> See Also:
>   `m_addresses`

### setClientId

    public void setClientId(String value)

> Accessor method for the identifier of the sponsoring client
> Parameters:
>   `value` - The host sponsoring client id
> See Also:
>   `m_client_id`

### setCreatedBy

    public void setCreatedBy(String value)

> Accessor method for the identifier of the client that created the host object
> Parameters:
>   `value` - The identifier of the client that created the host object
> See Also:
>   `m_created_by`

### setCreatedDate

    public void setCreatedDate(String value)

> Accessor method for the creation date of the host object
> Parameters:
>   `value` - The host creation date
> See Also:
>   `m_created_date`

### setName

    public void setName(String value)

> Accessor method for the name of the host object in the registry
> Parameters:
>   `value` - The host name
> See Also:
>   `m_name`

### setRoid

    public void setRoid(String value)

> Accessor method for the repository object identifier associated with the host object
> Parameters:
>   `value` - The host repository object identifier
> See Also:
>   `m_roid`

### setRsp

    public void setRsp(epp_Response value)

> Accessor method for the common and generic response element.
> Parameters:
>   `value` - The new value for the response element
> See Also:
>   `m_rsp`

### setStatus

    public void setStatus(epp_HostStatus[] value)

> Accessor method for the array of status associated with the host object
> Parameters:
>   `value` - The array of host status
> See Also:
>   `m_status`

### setTransferDate

    public void setTransferDate(String value)

> Accessor method for the most recent transfer date of the host object
> Parameters:
>   `value` - The most recent host transfer date
> See Also:
>   `m_transfer_date`

### setUpdatedBy

    public void setUpdatedBy(String value)

> Accessor method for the identifier of the client that last updated the host object
> Parameters:
>   `value` - The identifier of the client that last updated the host object
> See Also:
>   `m_updated_by`

### setUpdatedDate

    public void setUpdatedDate(String value)

> Accessor method for the most recent modification date of the host object
> Parameters:
>   `value` - The most recent modification date
> See Also:
>   `m_updated_date`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS